PROC GLOBAL 
set explicit

file myhh myhl mywm mych;
numeric noline i hlline edline ovline clline daline mmline j;

PROC MICS3_FF

PROC HH

{ EXPORT HH }
set behavior() export (SPSS SubitemOnly);

export to myhh
  HH1,HH2,MODHH, MODTO, MODWS, MODHC, MODTN, MODCD, MODSI;

{ EXPORT HH MEMBERS }
noline = 999;       { HH member's line if not listed in module  }
i = 1;
while i <= HH11 do
  hlline = HL1(i);    { Get the line number of the ith occurrence of the household roster }
  edline = noline;    { HH member's line number in the ED module  }
  ovline = noline;    { HH member's line number in the OV module  }
  clline = noline;    { HH member's line number in the CL module  }
  daline = noline;    { HH member's line number in the DA module  }
  mmline = noline;    { HH member's line number in the MM module  }
  { Determine HH member's occurrence number in ED module [noline if not present] }
  j = 1;
  while j <= noccurs(MODHL) do
    if ED1(j) = hlline then
      edline = j;
      j = noccurs(MODHL);
    endif;
    j = j + 1;
  enddo;
  { Determine HH member's line number in CL module [noline if not present] }
  j = 1;
  while j <= noccurs(MODCL) do
    if CL1(j) = hlline then
      clline = j;
      j = noccurs(MODCL);
    endif;
    j = j + 1;
  enddo;
  { Determine HH member's line number in MM module [noline if not present] }
  j = 1;
  while j <= noccurs(MODMM) do
    if MM1(j) = hlline then
      mmline = j;
      j = noccurs(MODMM);
    endif;
    j = j + 1;
  enddo;
  { Export the HH member }
  export to myhl
    HH1,HH2,MODHL(hlline),MODED(edline), MODCL(clline),MODMM(mmline),MODHH,MODWS,MODHC;
  { Increment the counter }
  i = i + 1;
enddo;

PROC WMCH

{ EXPORT WOMEN }
if HL6(LN) > 0 then
  export to mywm
    HH1,HH2,LN,MODWM, MODCM, MODMN, MODMA, MODCP, MODDV, MODHA, MODTB, MODHH, MODWS, MODHC;
endif;

{ EXPORT CHILDREN }
if  HL8(LN)> 0 then
  export to mych
    HH1,HH2,LN,MODUF, MODBR, MODCE, MODVA, MODBF, MODCA, MODML, MODIM, MODAN, MODMF, HL4(UF4), ED3A(UF6), MODHH, MODWS, MODHC;
endif;

